WP3FixedLengthGroup Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP3FixedLengthGroup Class Referenceabstract

`#include <WP3FixedLengthGroup.h>`

Inheritance diagram for WP3FixedLengthGroup:

## Public Member Functions
| WP3FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()
virtual void | parse (WP3Listener *listener)=0

## Static Public Member Functions
static WP3FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char const groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Protected Member Functions
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)=0

## Private Attributes
unsigned char | m_group

## Constructor & Destructor Documentation

WP3FixedLengthGroup::WP3FixedLengthGroup | ( | const unsigned char | groupID | ) |

## Member Function Documentation

void WP3FixedLengthGroup::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protected

Referenced by getGroup(), WP3AttributeGroup::WP3AttributeGroup(), WP3DoubleByteScriptCharacterGroup::WP3DoubleByteScriptCharacterGroup(), WP3ExtendedCharacterGroup::WP3ExtendedCharacterGroup(), WP3IndentGroup::WP3IndentGroup(), WP3TabGroup::WP3TabGroup(), WP3UndoGroup::WP3UndoGroup(), and WP3UnsupportedFixedLengthGroup::WP3UnsupportedFixedLengthGroup().

virtual void WP3FixedLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protectedpure virtual

Implemented in WP3DoubleByteScriptCharacterGroup, WP3ExtendedCharacterGroup, WP3UndoGroup, WP3AttributeGroup, WP3IndentGroup, WP3TabGroup, and WP3UnsupportedFixedLengthGroup.

Referenced by _read(), and getGroup().

WP3FixedLengthGroup * WP3FixedLengthGroup::constructFixedLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char const | groupID
| ) |  |
| static

Referenced by WP3Part::constructPart().

unsigned char WP3FixedLengthGroup::getGroup | ( |  | ) | const
| inline

bool WP3FixedLengthGroup::isGroupConsistent | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | groupID
| ) |  |
| static

Referenced by WP3Part::constructPart().

## Member Data Documentation

unsigned char WP3FixedLengthGroup::m_group
| private

Referenced by _read(), and getGroup().

The documentation for this class was generated from the following files:

- WP3FixedLengthGroup.h
- WP3FixedLengthGroup.cpp